import request from '@/utils/request'

// 查询合作商申请列表
export function listDetail(query) {
  return request({
    url: '/partner/detail/list',
    method: 'get',
    params: query
  })
}

// 查询合作商申请详细
export function getDetail(id) {
  return request({
    url: '/partner/detail/' + id,
    method: 'get'
  })
}

// 新增合作商申请
export function addDetail(data) {
  return request({
    url: '/partner/detail',
    method: 'post',
    data: data
  })
}

// 修改合作商申请
export function updateDetail(data) {
  return request({
    url: '/partner/detail',
    method: 'put',
    data: data
  })
}
// 是否合格
export function examine(data) {
  return request({
    url: '/partner/detail/examine',
    method: 'post',
    data: data
  })
}

// 删除合作商申请
export function delDetail(id) {
  return request({
    url: '/partner/detail/' + id,
    method: 'delete'
  })
}
